import { Injectable } from '@angular/core';
import { ApiService } from './api.service';
import { User } from './user';
import { UserLogin } from './user-login'

@Injectable({
  providedIn: 'root'
})
export class LoginService {

  user: User;

  constructor(private apiService: ApiService) {

  }

  validateUser(login: string, password: string): void{
    let user : UserLogin = {
      loginUser: login,
      loginPassword: password,
    }
      this.apiService.validateUser(user)
      .subscribe((data: User) => this.user = {...data});
  }

}
