import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable, throwError } from 'rxjs';
import { catchError, retry } from 'rxjs/operators';
import { User } from './user';
import { Discoteca } from './discoteca';
import { UserLogin } from './user-login';

@Injectable({
  providedIn: 'root'
})
export class ApiService {

  url = '';

  constructor(private http: HttpClient) {

   }


  validateUser(user: UserLogin): Observable<User>{

      return this.http.post<User>(this.url, user);
  }


}
